OperationStatus
Mirrors Novu's common delete/mutate acknowledgement response.
Usage profiles
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
acknowledged | boolean | Optional | Whether the provider acknowledged the requested operation. |
status | string | Optional | Status reported by the notification provider. |
Where used
| Reference | Relationship |
|---|---|
| Archive an inbox message | POST /api/v1/notifications/archive-inbox-message |
| Complete an inbox message action | POST /api/v1/notifications/complete-inbox-action |
| Delete an inbox message | POST /api/v1/notifications/delete-inbox-message |
| Delete the caller's subscriber profile | POST /api/v1/notifications/manage/delete-subscriber |
| Delete a notification topic | POST /api/v1/notifications/manage/delete-topic |
| Revert an inbox message action | POST /api/v1/notifications/revert-inbox-action |
| Unarchive an inbox message | POST /api/v1/notifications/unarchive-inbox-message |
Download the public reference contract.
Document: DOC-API-MODEL-operation-status.